## org.eclipse.datatools.sqltools.data.internal.ui.editor
Class TableDataTableCursorExternalEditingSupport

    java.lang.Object
      org.eclipse.swt.widgets.Widget
          org.eclipse.swt.widgets.Control
              org.eclipse.swt.widgets.Scrollable
                  org.eclipse.swt.widgets.Composite
                      org.eclipse.swt.widgets.Canvas
                          org.eclipse.swt.custom.TableCursor
                              org.eclipse.datatools.sqltools.data.internal.ui.editor.TableDataTableCursor
                                  org.eclipse.datatools.sqltools.data.internal.ui.editor.TableDataTableCursorExternalEditingSupport

All Implemented Interfaces:
  org.eclipse.swt.graphics.Drawable

    public class TableDataTableCursorExternalEditingSupport

extends TableDataTableCursor

TableDataTableCursorExternalEditingSupport provides the TableDataEditor with support for handling the org.eclipse.wst.rdb.data.ui.externalTableDataEditor extension point.

Author:
  sschaer

Field Summary

Fields inherited from class org.eclipse.swt.widgets.Composite
`embeddedHandle`

Fields inherited from class org.eclipse.swt.widgets.Widget
`handle`

Constructor Summary
`TableDataTableCursorExternalEditingSupport(org.eclipse.jface.viewers.TableViewer tableViewer, ITableDataEditor editor)`

Method Summary
`void` `editWithEditor()`
`boolean` `setFocus()`

Methods inherited from class org.eclipse.datatools.sqltools.data.internal.ui.editor.TableDataTableCursor
`edit`

Methods inherited from class org.eclipse.swt.custom.TableCursor
`addSelectionListener, getBackground, getColumn, getForeground, getRow, removeSelectionListener, setBackground, setForeground, setSelection, setSelection, setVisible`

Methods inherited from class org.eclipse.swt.widgets.Canvas
`drawBackground, getCaret, getIME, scroll, setCaret, setFont, setIME`

Methods inherited from class org.eclipse.swt.widgets.Composite
`changed, computeSize, drawBackground, getBackgroundMode, getChildren, getClientArea, getLayout, getLayoutDeferred, getTabList, isLayoutDeferred, layout, layout, layout, layout, layout, setBackgroundMode, setLayout, setLayoutDeferred, setTabList`

Methods inherited from class org.eclipse.swt.widgets.Scrollable
`computeTrim, getBorderWidth, getHorizontalBar, getVerticalBar`

Methods inherited from class org.eclipse.swt.widgets.Control

`addControlListener, addDragDetectListener, addFocusListener, addHelpListener, addKeyListener, addMenuDetectListener, addMouseListener, addMouseMoveListener, addMouseTrackListener, addMouseWheelListener, addPaintListener, addTraverseListener, computeSize, dragDetect, dragDetect, forceFocus, getAccessible, getBackgroundImage, getBounds, getCursor, getDragDetect, getEnabled, getFont, getLayoutData, getLocation, getMenu, getMonitor, getParent, getRegion, getShell, getSize, getToolTipText, getVisible, internal_dispose_GC, internal_new_GC, isEnabled, isFocusControl, isReparentable, isVisible, moveAbove, moveBelow, pack, pack, print, redraw, redraw, removeControlListener, removeDragDetectListener, removeFocusListener, removeHelpListener, removeKeyListener, removeMenuDetectListener, removeMouseListener, removeMouseMoveListener, removeMouseTrackListener, removeMouseWheelListener, removePaintListener, removeTraverseListener, setBackgroundImage, setBounds, setBounds, setCapture, setCursor, setDragDetect, setEnabled, setLayoutData, setLocation, setLocation, setMenu, setParent, setRedraw, setRegion, setSize, setSize, setToolTipText, toControl, toControl, toDisplay, toDisplay, traverse, traverse, traverse, update`

Methods inherited from class org.eclipse.swt.widgets.Widget
`addDisposeListener, addListener, dispose, getData, getData, getDisplay, getListeners, getStyle, isDisposed, isListening, notifyListeners, removeDisposeListener, removeListener, reskin, setData, setData, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TableDataTableCursorExternalEditingSupport

    public TableDataTableCursorExternalEditingSupport(org.eclipse.jface.viewers.TableViewer tableViewer,
                                                      ITableDataEditor editor)

Parameters:
  `tableViewer` - this editor's TableViewer
  `editor` - this cursor's TableDataEditor

Method Detail

### setFocus

    public boolean setFocus()

  Overrides:
    `setFocus` in class `org.eclipse.swt.widgets.Composite`

### editWithEditor

    public void editWithEditor()

  See Also:
    `TableDataTableCursor.edit()`